/*
 *  filegrabber.h
 *
 *  Author: Domenico Bloisi
 *  domenicobloisi@yahoo.com
 *  Copyright 2010
 */

#ifndef FILEGRABBER_H_
#define FILEGRABBER_H_

#include "grabber.h"

class FileGrabber: public Grabber
{
	private:
		double time_scale;

	public:
		FileGrabber(const char *fn, int prev_offset = 1);
		virtual ~FileGrabber();
		virtual bool getData();
		int getWidth(){return width;};
		int getHeight(){return height;};
		virtual unsigned long getTimestamp();
		virtual unsigned long getPrevTimestamp();
		double getFps(){return fps;};
		void reset(){ };
		inline virtual cv::Mat getDepth16bit() { return cv::Mat(); }
};


#endif /*FILEGRABBER_H_*/

